Skip to content
More Dart — Literally.
Branch: master
Clone or download
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
example Bumped to 1.12.1 Sep 27, 2018
lib Use ArgumentError.checkNotNull where possible. Apr 14, 2019
test Dart 2.2 compatibility and requirement. Feb 26, 2019
.gitignore
.travis.yml
AUTHORS - initial dump Apr 22, 2013
CHANGELOG.md Dart 2.2 compatibility and requirement. Feb 26, 2019
LICENSE Update license. Mar 8, 2019
README.md Rename the int_math package to math, because it does not focus on int… Feb 22, 2019
analysis_options.yaml Dart 2.2 compatibility and requirement. Feb 26, 2019
pubspec.yaml Bump to 1.16.0 Feb 26, 2019

README.md

More Dart — Literally

Pub Package Build Status Coverage Status GitHub Issues GitHub Forks GitHub Stars GitHub License

Various extensions that make Dart a better place:

  • cache.dart is a collection of different caching strategies and their expiry policy.
  • char_matcher.dart is a model for character classes, their composition and operations on strings.
  • collection.dart is a collection of collection types (bi map, bit list, multi set, range, and string).
  • iterable.dart is a collection of iterables and iterators.
  • math.dart is a collection of common mathematical functions.
  • number.dart provides fractional, complex and quaternion arithmetic.
  • ordering.dart a fluent interface for building comparator functions.
  • printer.dart a fluent interface for configuring sophisticated formatter.

And there are more to come ...

This library is open source, stable and well tested. Development happens on GitHub. Feel free to report issues or create a pull-request there. General questions are best asked on StackOverflow.

The package is hosted on dart packages. Up-to-date class documentation is created with every release.

Misc

Installation

Follow the installation instructions on dart packages.

Import one or more of the packages into your Dart code using:

import 'package:more/cache.dart';
import 'package:more/char_matcher.dart';
import 'package:more/collection.dart';
import 'package:more/iterable.dart';
import 'package:more/math.dart';
import 'package:more/number.dart';
import 'package:more/ordering.dart';
import 'package:more/printer.dart';

History

This library started in April 2013 as I was working through the puzzles of Project Euler and encountered some missing features in Dart. Over time the library grew and became more useful in many other places, so I created this reusable library.

License

The MIT License, see LICENSE.

You can’t perform that action at this time.